LFR-FSW - Support #607

medium Criticity : How can we do it
03/02/2016 04:40 PM - Veronique bouzid

Status: Closed Start date: 03/02/2016
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 90%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Pour valider les erreurs classées de type medium criticity:
comment fait on?

HK_LFR_DPU_SPW_EARLY_EOP
HK_LFR_DPU_SPW_INVALID_ADDR
HK_LFR_DPU_SPW_EEP
HK_LFR_DPU_SPW_RX_TOO_BIG
HK_LFR_BUFFER_DPU_TC FIFO
HK_LFR_BUFFER_DPU_TM_FIFO
HK_LFR_AHB_UNCORRECTABLE

History

#1 - 10/02/2016 09:31 AM - Veronique bouzid

- Status changed from New to In Progress

Pour valider le champ HK_LFR_DPU_SPW_EARLY_EORP, j'ai utilisé le test
/opt/VALIDATION_R3/Ifrverif/LFR_SVS/SVS-0064/spw_failure_standby.py

et apres avoir enlevé le cable sow et I'avoir remis, le champ HK_LFR_DPU_SPW_EARLY_EOP est positionné a 1:
le compteur HK_LFR_ME_CNT incrémenté de 1

la section d'erreur est a jour

HK_LFR_LAST_ER_RID: ME_LFR_DPU_SPW = 42338,

HK_LFR_LAST_ER_CODE: EARLY_EOP_EEP = 6,

HK_LFR_LAST_ER_TIME=0x8000000dc136

Ici un extrait du fichier 2016_02_04-08_23 01-HKExtract.txt

08:22:41.553099, TM_LFR_HK, TIME=0x8000000c48da, HK_LFR_UPDATE_TIME_TC_CNT=0, HK_LFR_LE_CNT=1, HK_LFR_ME_CNT=0,
HK_LFR_LAST ER_RID: LE_LFR_TIMEC = 42129, HK_LFR_LAST_ER_CODE: MISSING = 21, HK_LFR_LAST_ER_TIME=0x800000022f33,
HK_LFR_DPU_SPW_TICK OUT_CNT=0, HK_LFR_DPU_SPW_LAST TIMC=0, HK_LFR_DPU_SPW_PARITY=0,
HK_LFR_DPU_SPW_DISCONNECT=0, HK_LFR_DPU_SPW_ESCAPE=0, HK_LFR_DPU_SPW_CREDIT=0,
HK_LFR_DPU_SPW_WRITE_SYNC=0, HK_LFR_DPU_SPW_RX_AHB=0, HK_LFR_DPU_SPW_TX_AHB=0,
HK_LFR_DPU_SPW_EARLY_EOP=0, HK_LFR_DPU_SPW_INVALID ADDR=0, HK_LFR_DPU_SPW_EEP=0,,
HK_LFR_TIMECODE_ERRONEOUS=0, HK_LFR_TIMECODE_MISSING=1, HK_LFR_TIMECODE_INVALID=0, HK_LFR_TIME_TIMECODE_IT=0,
HK_LFR_TIME_NOT_SYNCHRO=0, HK_LFR_TIME_TIMECODE_CTR=0

apres avoir enlevé / emis le cable

08:22:49.022261, TM_LFR_HK, TIME=0x8000000e48d9, HK_LFR_UPDATE_TIME_TC_CNT=0, HK_LFR_LE_CNT=2, HK_LFR_ME_CNT=1,
HK_LFR_LAST_ER_RID: ME_LFR_DPU_SPW = 42338, HK_LFR_LAST_ER_CODE: EARLY_EOP_EEP =6,
HK_LFR_LAST_ER_TIME=0x8000000dc136, HK_LFR_DPU_SPW_TICK_OUT_CNT=0, HK_LFR_DPU_SPW_LAST_TIMC=0,
HK_LFR_DPU_SPW_PARITY=0, HK_LFR_DPU_SPW_DISCONNECT=1, HK_LFR_DPU_SPW_ESCAPE=0, HK_LFR_DPU_SPW_CREDIT=0,
HK_LFR_DPU_SPW_WRITE_SYNC=0, HK_LFR_DPU_SPW_RX_AHB=0, HK_LFR_DPU_SPW_TX_AHB=0,
HK_LFR_DPU_SPW_EARLY_EOP=1, HK_LFR_DPU_SPW_INVALID_ADDR=0, HK_LFR_DPU_SPW_EEP=0, ,
HK_LFR_TIMECODE_ERRONEOUS=0, HK_LFR_TIMECODE_MISSING=1, HK_LFR_TIMECODE_INVALID=0, HK_LFR_TIME_TIMECODE_IT=0,
HK_LFR_TIME_NOT_SYNCHRO=0, HK_LFR_TIME_TIMECODE_CTR=0

Les fichiers de test (2016_02_04-08_23_01*) se trouvent dans /home/validation/data/R3/3.0.0.18/1.1.89/SVS-0064

Contexte du test

FSW 3.0.0.18

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee
#2 - 18/02/2016 10:16 AM - Veronique bouzid
- % Done changed from 0 to 90

Les HK suivantes ne seront jamais renseignées donc pas a tester.
HK_LFR_DPU_SPW_INVALID_ADDR
HK_LFR_BUFFER_DPU_TC_FIFO
HK_LFR_BUFFER_DPU_TM_FIFO
HK_LFR_AHB_UNCORRECTABLE

Il reste donc juste a trouver comment valider HK_LFR_DPU_SPW_RX_TOO_BIG

#3 - 17/01/2017 04:18 PM - Veronique bouzid

- Status changed from In Progress to Feedback

Nous avons un script qui permet de tester le champ HK_LFR_DPU_SPW_RX_TOO_BIG.

Ce champ est mis a jour quand la TC envoyée a une taille > a 228 octets.

Le script utilisé pour valider ce champ se trouve dans /opt/VALIDATION_R3plus/Ifrverif/LFR-SVS/SVS-0003/send_bad_tc1.py.
Consulter le point redmine #649.

Ne pas oublier de mettre a jour la SRS et la SVS-00083.

#4 - 18/01/2017 12:26 PM - Veronique bouzid
- Status changed from Feedback to Closed
https://hephaistos.lpp.polytechnique.fr/redmine/issues/649
http://www.tcpdf.org

